@echo off
call setenv.bat r s n n
call showenv.bat
set a0=
if exist btl4d3s.exe set a0=btl4d3s.exe
if exist btl4d2s.exe set a0=btl4d2s.exe
if exist btl4d0.exe set a0=btl4d0.exe
if exist btl4opt.exe set a0=btl4opt.exe
if "%a0%"=="" goto error
if "%1"=="" set aa=test
if not "%1"=="" set aa=%1
echo on
32rtm.exe -x
%a0% -egg %aa%.egg
32rtm.exe -u
@echo off
set aa=
goto end
:error
echo.
echo Program not found in current directory.
echo.
:end
set a0=
